package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

public enum ImGroupType implements BaseEnum<String, ImGroupType> {
    FAN("粉丝群"),
    COURSE("课程群");
    @EnumValue
    private String code;
    private String msg;

    ImGroupType(String msg) {
        this.msg = msg;
        this.code = this.name();
    }

    public String getMsg() {
        return this.msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
